clear
capture log close
log using test.log, replace
set more off


foreach y of global YEAR {

use AGGmaster`y', clear

pwcorr FH_OSS_WIDE AW_OSS_WIDE FH_OSS_Narrow AW_OSS_Narrow

twoway (scatter FH_OSS_WIDE AW_OSS_WIDE, sort mlabel(class))
graph save results/Wide_`y', replace

generate Wide_Diff =  FH_OSS_WIDE - AW_OSS_WIDE

twoway (scatter Wide_Diff class, mlabel(class))
graph save results/Wide_Diff_`y', replace



twoway (scatter FH_OSS_Narrow AW_OSS_Narrow, sort mlabel(class))
graph save results/Narrow_`y', replace

generate Narrow_Diff =  FH_OSS_Narrow - AW_OSS_Narrow

twoway (scatter Narrow_Diff class, mlabel(class))
graph save results/Narrow_Diff_`y', replace

}

log close
exit
