clear
capture log close
log using "log/output.log", replace

set more off

foreach y of global YEAR {

use data/AGGmaster`y', clear

keep class OSS_`y' OSS_narrow_`y' OSS_M_`y' OSS_S_`y' GG_OSS_`y' GG_OSS_narrow_`y' FH_OSS_`y' FH_OSS_M_`y' FH_OSS_S_`y' FH_OSS_`y'_exclenergy FH_OSS_narrow_`y'

pwcorr _all

save data/OSS_results_`y', replace
save results/OSS_results_`y', replace

outsheet using "results/OSS_results_`y'", replace

}  

log close
exit
