clear
capture log close
log using log/master.log, replace
set more off
cd "D:\work\Subhayu\OECD Data\Aggregate OSS Measure"
adopath + prog

global YEAR "1995 2000 2005"

* Import Data
do prog/AGGgetdata

* Merge Data
do prog/AGGmerge_data

* Calculate non energy imports, total intermediate imports
do "prog/OSS Calculation"

* Aggregate Data 
do prog/aggregation

* Calculate measures of OSS using OECD, GG(2008), FH(1999)
do "prog/OSS measures"

* Output and summarize data
do prog/output

capture log close
dir results
exit

********************************************************
** Source Data is the OECD Structural Analysis (STAN) **
** 2006 Edition of I-O matrices, ISIC rev 3           **
** A free copy of the data is available from          **
**    sti.contact@oecd.org                            **
********************************************************


*** Old Do Files

*do AGGnarrow_import
*do AGGtotal_purchase
*do AGGimpint
*do AGGtest
*do prog/aggregationTOTAL
*do prog/aggregationIMPORT
*do prog/aggregationDOMESTIC
*do AGGweight
*do AGGOSS
