clear
capture log close
log using "log/OSS measures.log", replace

set more off

foreach y of global YEAR {

use data/AGGmaster`y', clear

keep class total_output 
rename total_output total_output`y'
save data/agg_output`y'
}

use data/agg_output1995, clear

merge class using data/agg_output2000 data/agg_output2005

drop _merge _merge1 _merge2

gen output_growth05 = ln(total_output2005 / total_output2000) / 5
gen output_growth00_05 = ( (total_output2005 / total_output2000)^(1/5) ) - 1



keep class output_growth00_05 output_growth05
save data/agg_output_growth, replace

log close
exit



