clear
capture log close
log using test.log, replace
set more off


foreach y of global YEAR {

use master`y', clear

pwcorr FH_OSS_WIDE AW_OSS_WIDE FH_OSS_Narrow AW_OSS_Narrow

twoway (scatter FH_OSS_WIDE AW_OSS_WIDE, sort mlabel(isicn))
graph save Wide_`y', replace

generate Wide_Diff =  FH_OSS_WIDE - AW_OSS_WIDE

twoway (scatter Wide_Diff isicn, mlabel(isicn))
graph save Wide_Diff_`y', replace



twoway (scatter FH_OSS_Narrow AW_OSS_Narrow, sort mlabel(isicn))
graph save Narrow_`y', replace

generate Narrow_Diff =  FH_OSS_Narrow - AW_OSS_Narrow

twoway (scatter Narrow_Diff isicn, mlabel(isicn))
graph save Narrow_Diff_`y', replace

}

log close
exit
